Flex SDK 4 and Flash Builder 4 Updates Now Available!

The Flex team is very excited to announce the release of Flex SDK 4.1 and Flash Builder 4.0.1 which are available for download today! Flex SDK 4.1 is an update to Flex 4 and includes:

  • Support for mirroring layouts and text in order to support right-to-left- locales. The goal of this new feature is to trivialize the work involved to re-purpose Flex applications designed for left-to-right locales for deployment in right-to-left locales.
  • Native support for Flash Player 10.1 and AIR 2.
  • Critical bugfixes and enhancement requests.

To support this new SDK, Flash Builder has shipped an update which lets developers target Flex SDK 4.1 (as well as support applications that target AIR 2). Additionally, the Flash Builder 4.0.1 update contains critical bugfixes. You can grab the Flash Builder 4.0.1 updater here.

Finally, be sure to check out newly shared information about the next release of the Flex SDK (code-named: Hero)!

Sincerely,

Deepa Subramaniam & Andrew Shorten
Flex SDK & Flash Builder Product Managers

7 Responses to Flex SDK 4 and Flash Builder 4 Updates Now Available!

  1. greg•h says:

    For Flex SDK 4.1, have the underlying implementations of spark.components.VideoDisplay and VideoPlayer been updated to bring them in synch with OSMF v1.0?fyi … I scanned through the following link and I do not see anything saying that these components have been updated:Issue Navigator — SDK: Bugs Fixed in 4.1https://bugs.adobe.com/jira/secure/IssueNavigator.jspa?mode=hide&requestId=14217Further, this April 2010 forums thread highlighted that in Flex SDK 4.0 the implementation of these components was based on an OSMF pre-v1.0 sprint:http://forums.adobe.com/message/2773914Thanks for your great work!g

  2. Javier Julio says:

    Sweet! Thanks Deepa! Downloading now.

  3. @Edgar, @Javier – The plugin issue has been fixed. Please go ahead and install the plugin via the trials page here: https://www.adobe.com/cfusion/tdrc/index.cfm?product=flash_builderStandalone users can update via the updater here: http://www.adobe.com/support/flex/downloads_updaters.html

  4. Charles W. Stanton says:

    I’ll join my voice to the choir… 4.0.1 version of the plugin coming soon?

  5. Javier Julio says:

    Yes, I have the same issue as Edgar. I uninstalled the plug, downloaded what I thought is the new one (file name is the same), installed it but the version number in the About Eclipse window is showing up as 4.0.0.272416. Any idea when that download link will be fixed/updated?

  6. @Edgar – We are having an operational issue at this time with the Flash Builder plugin update. We are working on this with immediacy, I will respond here when the issue has been resolved (ETA: 2 hours). My apologies for the inconvenience.

  7. Edgar Rivera says:

    I’m trying to download the latest Flash Builder plug-in for Mac, but after 470 downloaded megas i found the same version 4.0, so where is the new Flash Builder Plugin 4.0.1 ???